Page MenuHomePhabricator

delta: add sidedata field to revision delta
ClosedPublic

Authored by Alphare on Feb 19 2021, 6:16 AM.

Details

Summary

When emitting revision delta, we need to also emit the sidedata information just
added in the revlogv2 format if appropriate.

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

Alphare created this revision.Feb 19 2021, 6:16 AM
baymax updated this revision to Diff 25994.Mar 1 2021, 11:52 AM

✅ refresh by Heptapod after a successful CI run (🐙 💚)

marmoute requested changes to this revision.Mar 2 2021, 1:56 PM
marmoute added a subscriber: marmoute.

Please expand the commit message to clarify why this is useful.

This revision now requires changes to proceed.Mar 2 2021, 1:56 PM
Alphare edited the summary of this revision. (Show Details)Mar 4 2021, 10:18 AM
Alphare updated this revision to Diff 26090.
marmoute accepted this revision.Mar 9 2021, 11:23 AM
Alphare updated this revision to Diff 26221.Mar 10 2021, 2:12 PM
marmoute accepted this revision.Mar 11 2021, 1:12 PM
Alphare updated this revision to Diff 26255.Mar 12 2021, 6:33 AM
Alphare updated this revision to Diff 26333.Mar 15 2021, 6:24 AM
This revision was not accepted when it landed; it landed in state Needs Review.
This revision was automatically updated to reflect the committed changes.